Forum OpenACS Development: Re: Error on OS X using install-ns.sh

Collapse
Posted by Gustaf Neumann on
... whatever wrong means. Is /usr/lib/libpq.5.dylib installed by homebrew? This would be strange, a package manager should not install into /usr/lib (rather e.g. /usr/local/lib).

What do you see from

% strings /usr/lib/libpq.5.dylib | fgrep PGSQL

Collapse
Posted by Dave Bauer on
I meant wrong as /usr/lib/libpq.5.dylib is the built-in postgresql. My home brew postgresql is in /usr/local/lib/

I had to re-run ns-install.sh. I did not realize I needed to change the paths to pglib and pginclude in the script before running it.

I learned my lesson. Again than you for your patience.